aboutsummaryrefslogtreecommitdiffstats
path: root/community/libcec/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2017-03-24 14:22:24 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2017-03-24 14:22:24 +0000
commit27df34a4cfabeaa8d702f34e3036100771afab8b (patch)
treec43231d2c4796668f0c4c8e53d465e60369e3951 /community/libcec/APKBUILD
parent9a26998be2b2c946b9a7cdfe5e8a7e6009aff602 (diff)
downloadaports-27df34a4cfabeaa8d702f34e3036100771afab8b.tar.gz
aports-27df34a4cfabeaa8d702f34e3036100771afab8b.tar.bz2
aports-27df34a4cfabeaa8d702f34e3036100771afab8b.tar.xz
community/libcec: cleanups
- let abuild pull in udev and p8-platform dependencies - remove p8-platform-dev from depends_dev - remove non linux binary from build
Diffstat (limited to 'community/libcec/APKBUILD')
-rw-r--r--community/libcec/APKBUILD20
1 files changed, 15 insertions, 5 deletions
diff --git a/community/libcec/APKBUILD b/community/libcec/APKBUILD
index 83a7d72ae0..b95889fc7a 100644
--- a/community/libcec/APKBUILD
+++ b/community/libcec/APKBUILD
@@ -2,24 +2,34 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libcec
pkgver=4.0.2
-pkgrel=0
+pkgrel=1
pkgdesc="libcec for the Pulse-Eight USB-CEC adapter"
url="https://github.com/Pulse-Eight/libcec"
arch="all"
license="GPL"
-depends="eudev p8-platform"
-depends_dev="eudev-dev p8-platform-dev python3-dev libxrandr-dev swig"
-makedepends="$depends_dev cmake automake"
+depends=""
+depends_dev="eudev-dev python3-dev libxrandr-dev swig"
+makedepends="$depends_dev p8-platform-dev cmake"
install=""
subpackages="$pkgname-dev"
source="http://github.com/Pulse-Eight/libcec/archive/libcec-$pkgver.tar.gz"
builddir="$srcdir"/libcec-libcec-$pkgver
+prepare() {
+ default_prepare
+ # remove non linux binaries
+ cd "$builddir"
+ rm -r support
+}
+
build() {
mkdir "$builddir/build"
cd "$builddir/build"
- cmake -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_PREFIX=/usr .. || return 1
+ cmake -DCMAKE_BUILD_TYPE=Release \
+ -DBUILD_SHARED_LIBS=1 \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ .. || return 1
make || return 1
}